Subject: Re: [lisp] I-D Action: draft-saucez-lisp-itr-graceful-01.txt

From: "Joel M. Halpern" <[email-masked]>
Date: Wed, 26 Dec 2012 10:33:35 -0500

Tis is an interesting piece of work.
Once we clear the current blocking documents, I look forward to 
discussion on the list of the pros and cons of the ideas presented herein.

Yours,
Joel

PS: As a minor item, when you respin this document, please shorten the 
abstract.  A lot.

On 12/26/2012 8:55 AM, [email-masked] wrote:
>
> A New Internet-Draft is available from the on-line Internet-Drafts directories.
>
>
> 	Title           : LISP ITR Graceful Restart
> 	Author(s)       : Damien Saucez
>                            Olivier Bonaventure
>                            Luigi Iannone
>                            Clarence Filsfils
> 	Filename        : draft-saucez-lisp-itr-graceful-01.txt
> 	Pages           : 12
> 	Date            : 2012-12-26
>
> Abstract:
>     The Locator/ID Separation Protocol (LISP) is a map-and-encap
>     mechanism to enable the communication between hosts identified with
>     their Endpoint IDentifier (EID) over the Internet where EIDs are not
>     routable.  To do so, packets toward EIDs are encapsulated in packets
>     with routing locators (RLOCs) to form dynamic tunnels.  An Ingress
>     Tunnel Router (ITR) that encapsulates EID packets determines tunnel
>     endpoints via mappings that associate EIDs to RLOCs.  Before
>     encapsulating a packet, the ITR queries the mapping system to obtain
>     the mapping associated to the EID of the packet it must encapsulate.
>     Such mapping is cached by the ITR in its local EID-to-RLOC cache for
>     any subsequent encapsulation for the same EID.  LISP is scalable
>     because the EID-to-RLOC cache of an ITR, which is initially empty, is
>     populated progressively according to the traffic going through the
>     ITR.  However, after an ITR is restarted, e.g., for maintenance
>     reason, its cache is empty which means that all packets that are re-
>     routed to the freshly restarted ITR will cause cache misses and a
>     potentially high loss rate.  In this draft, we present mechanisms to
>     reduce the negative impact on traffic caused by the restart of an ITR
>     in a LISP network.
>
>
> The IETF datatracker status page for this draft is:
> https://datatracker.ietf.org/doc/draft-saucez-lisp-itr-graceful
>
> There's also a htmlized version available at:
> http://tools.ietf.org/html/draft-saucez-lisp-itr-graceful-01
>
> A diff from the previous version is available at:
> http://www.ietf.org/rfcdiff?url2=draft-saucez-lisp-itr-graceful-01
>
>
> Internet-Drafts are also available by anonymous FTP at:
> ftp://ftp.ietf.org/internet-drafts/
>
> _______________________________________________
> I-D-Announce mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/i-d-announce
> Internet-Draft directories: http://www.ietf.org/shadow.html
> or ftp://ftp.ietf.org/ietf/1shadow-sites.txt
>